Block Publishers At Account Level

Suppress specific publishers at the account level.

Rate limit: Tier 2
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Publisher Networks

  • Blocking of publisher networks is not supported via the API. (If do you need to block a publisher network, please reach out to your Taboola Account Manager.)
  • Attempting to submit a network id to the block-publisher endpoint results in a 400 Bad Request.

Updating

Examples

  1. Apply suppressions:
POST /backstage/api/1.0/demo-advertiser/block-publisher
{
    "sites": [
        "site_1",
        "site_2"
    ]
}
{
    "sites": [
        "site_1",
        "site_2"
    ]
}
📘

When updating a resource, you can use either PUT or POST.

📘

For a successful request, the response is the updated list of suppressed publishers.

📘

Sites

The sites field stores a collection of sites (machine-readable site names - i.e. publisher account_ids). For more information, see: List Of Publishers.

  1. Remove all suppressions:
POST /backstage/api/1.0/demo-advertiser/block-publisher
{
    "sites": []
}
{
    "sites": []
}

Patching

You can use the PATCH verb to add/remove specific publishers - without re-submitting the entire collection.

Flow

  1. Use the PATCH verb to submit an object with 2 fields to the block-publisher endpoint:
    • sites
    • patch_operation ("ADD" or "REMOVE")
  2. In the sites field, include only the sites that you want to add or remove.

Examples

  1. Fetch the list of blocked publishers:
GET /backstage/api/1.0/demo-advertiser/block-publisher
{
    "sites": [
        "site_1",
        "site_2"
    ]
}
  1. ADD sites to the list of blocked publishers
PATCH /backstage/api/1.0/demo-advertiser/block-publisher
{
   "sites": [
      "site_name3"
   ],
   "patch_operation": "ADD"
}
{
    "sites": [
        "site_name1",
        "site_name2",
        "site_name3"      
    ]
}
  1. REMOVE sites from the list of blocked publishers
PATCH /backstage/api/1.0/demo-advertiser/block-publisher
{
    "sites": [
        "site_name1"
    ],
    "patch_operation": "REMOVE"
}
{
    "sites": [
        "site_name2",
        "site_name3"      
    ]
}

Rate limit

🚧

Rate limit

Tier 2. Has its own write budget, separate from the read budget used to list blocked publishers.

See Rate limits for the request allowance each tier carries.

Path Params
string
required

An alphabetic ID. See Get Account Details.

Body Params
string
Defaults to { "sites": [ "site_1", "site_2" ] }

An object with the following properties:
- sites - a collection of sites (publisher account_ids)
- patch_operation (include this field for the PATCH verb only - otherwise, omit it)

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json